[arch-commits] Commit in libmpeg2/repos (extra-i686 extra-i686/PKGBUILD)

andyrtr at archlinux.org andyrtr at archlinux.org
Fri Aug 15 07:05:36 EDT 2008


    Date: Friday, August 15, 2008 @ 07:05:35
  Author: andyrtr
Revision: 8677

Merged revisions 2-8676 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/libmpeg2/trunk

........
  r356 | aaron | 2008-04-18 22:56:27 +0000 (Fr, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r4655 | ronald | 2008-07-08 09:02:47 +0000 (Di, 08 Jul 2008) | 1 line
  
  fix license
........
  r8675 | andyrtr | 2008-08-15 11:02:16 +0000 (Fr, 15 Aug 2008) | 2 lines
  
  upgpkg: libmpeg2 0.5.1-1
      fix #8610
........

Modified:
  libmpeg2/repos/extra-i686/	(properties)
  libmpeg2/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   34 ++++++++++++++++++----------------
 1 file changed, 18 insertions(+), 16 deletions(-)


Property changes on: libmpeg2/repos/extra-i686
___________________________________________________________________
Name: svnmerge-integrated
   - /libmpeg2/trunk:1
   + /libmpeg2/trunk:1-8676

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2008-08-15 11:02:53 UTC (rev 8676)
+++ extra-i686/PKGBUILD	2008-08-15 11:05:35 UTC (rev 8677)
@@ -1,26 +1,28 @@
 # $Id$
 # Contributor: Sarah Hay <sarah at archlinux.org>
-# Maintainer: arjan <arjan at archlinux.org>
+# Maintainer: Andreas Radke <andyrtr at archlinux.org>
 
 pkgname=libmpeg2
-pkgver=0.4.1
+pkgver=0.5.1
 pkgrel=1
-force=y
 pkgdesc="libmpeg2 is a library for decoding MPEG-1 and MPEG-2 video streams."
-arch=(i686 x86_64)
+arch=('i686' 'x86_64')
 url="http://libmpeg2.sourceforge.net/"
-depends=('sdl' 'libsm' 'libxv')
-source=(http://libmpeg2.sourceforge.net/files/mpeg2dec-$pkgver.tar.gz)
-md5sums=('7631b0a4bcfdd0d78c0bb0083080b0dc')
+depends=('glibc')
+optdepends=('sdl:	requiered for mpeg2dec'
+            'libsm:	requiered for mpeg2dec'
+            'libxv:	requiered for mpeg2dec')
+source=(http://libmpeg2.sourceforge.net/files/${pkgname}-${pkgver}.tar.gz)
+license=('GPL2')
+options=(!libtool)
+provides=('mpeg2dec')
+md5sums=('0f92c7454e58379b4a5a378485bbd8ef')
 
 build() {
-  cd $startdir/src/mpeg2dec-0.4.1
-  if [[ "$CARCH" == "x86_64" ]]; then
-    ./configure --prefix=/usr --enable-shared --disable-accel-detect
-  else
-    ./configure --prefix=/usr --enable-shared
-  fi
-  make || return 1
-  make DESTDIR=$startdir/pkg install
-  find $startdir/pkg -name '*.la' -exec rm {} \;
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure --prefix=/usr --enable-shared --disable-static || return 1
+  make	OPT_CFLAGS="${CFLAGS}" \
+	MPEG2DEC_CFLAGS="${CFLAGS}" \
+	LIBMPEG2_CFLAGS="" || return 1
+  make DESTDIR=${pkgdir} install || return 1
 }




More information about the arch-commits mailing list